<?php
namespace App\Http\Controllers\admin;
use Illuminate\Support\Facades\Auth;
use App\Http\Controllers\Controller;

use App\product;
use Illuminate\Http\Request;

class ProductController extends Controller
{



    public function index()
    {
        $data = product::all()->where('user_id', auth::user()->id)->sortbydesc('id');
        return view('admin.products.index', compact('data'));
    }
   
    public function create(Request $request)
    {
        
   

        $request->validate([
            'title' => 'required',
            'descr' => 'required',
            'org_price' => 'required',
            'statu' => 'required',
        ]);

        
        $prices = [
            'org_price' => $request->org_price,
            'off_price' => $request->off_price,
            'cost' => $request->cost,
        ];

        $stock = [
            'qty' => $request->qty,
            'sku' => $request->sku,
            'stock' => $request->stock,
            'out_stock' => $request->out_stock,
            'out_stock_qty' => $request->out_stock_qty,
        ];
        

        $seo = [
            'm_k'=>$request->m_k,
            'slug'=>$request->slug,
            'm_d'=>$request->m_d,
        ];
        $variants = [
            'type' => $request->type_variant,
            'variants' => $request->variants,
        ];


        $data = new product;
        $data->title = $request->title;
        $data->statu = $request->statu;
        $data->slug = $request->slug;
        $data->user_id = auth::user()->id;
        $data->description = $request->descr;
        $data->prices = json_encode($prices);
        $data->stock = json_encode($stock);
        $data->variants = json_encode($variants);
        $data->seo = json_encode($seo);
        $data->prices = json_encode($prices);
        $data->ctg = json_encode($request->ctg);
        $data->images = json_encode($request->images_product);
        $data->save();
        
        return redirect('admin/products')->with('succ', msg('add'));
        
    }


    public function save(Request $request)
    {

        
        $request->validate([
            'title' => 'required',
            'descr' => 'required',
            'org_price' => 'required',
            'statu' => 'required',
        ]);

        
        $prices = [
            'org_price' => $request->org_price,
            'off_price' => $request->off_price,
            'cost' => $request->cost,
        ];

        $stock = [
            'qty' => $request->qty,
            'sku' => $request->sku,
            'stock' => $request->stock,
            'out_stock' => $request->out_stock,
            'out_stock_qty' => $request->out_stock_qty,
        ];
        

        $seo = [
            'm_k'=>$request->m_k,
            'slug'=>$request->slug,
            'm_d'=>$request->m_d,
        ];
        $variants = [
            'type' => $request->type_variant,
            'variants' => $request->variants,
        ];


        $data =  product::find($request->id);
        if($data->user_id == auth::user()->id){
            $data->title = $request->title;
            $data->slug = $request->slug;
            $data->statu = $request->statu;
            $data->user_id = auth::user()->id;
            $data->description = $request->descr;
            $data->prices = json_encode($prices);
            $data->stock = json_encode($stock);
            $data->variants = json_encode($variants);
            $data->seo = json_encode($seo);
            $data->prices = json_encode($prices);
            $data->ctg = json_encode($request->ctg);
            $data->images = json_encode($request->images_product);
            $data->save();
            
        }else{
            return abort(419);
        }
        
        
        return redirect('admin/products')->with('succ', msg('update'));
        
    }

    public function update($id)
    {
        $data = product::find($id);
        if($data){
            return view('admin.products.update', compact('data'));
        }else{
            abort(404);
        }
        
    }

    public function delete(Request $request)
    {
        $data = product::find($request->id);
        if($data->user_id == auth::user()->id){
            $data->delete();
            return back()->with('succ', msg('delete'));
        }else{
            abort(419);
        }
    }

   
}
