<?php

namespace App\Http\Controllers\customization;
use Illuminate\Support\Facades\Auth;
use App\Http\Controllers\Controller;

use Illuminate\Http\Request;
use \App\template;
class customization extends Controller
{

    public function index()
    {
        $my_template = template::where('user_id', auth::user()->id)->first();
        return view('admin.store.themes', compact('my_template'));
    }
    public function setTemplate(Request $request)
    {
    
       $template = template::where('user_id', auth::user()->id)->first();
       
       if($template){
            $template->template = $request->template;
            $template->data = json_encode($this->defaultDataTemplate());
            $template->save();
            return back();
       }else{
   
            $new = new template;
            $new->user_id = auth::user()->id;
            $new->data = json_encode($this->defaultDataTemplate());
            $new->template = $request->template;
            $new->save();
       }

       return back()->with('succ' , msg('template_choose'));
    }
   
    public function save(Request $request)
    {
 
        $data = [
            //==========================================
            //==========================================
            'header' => [

                    'title' => 'رأس الصفحة',
                    'icone' => 'footer.png',
                    'top-header' => [   'text' => $request->top_header_text,
                                        'color' => $request->top_header_color,
                                        'background' => $request->top_header_background,
                                        'fontSize' => $request->top_header_font,
                                        'align' => $request->top_header_align,
                                    ],

                    'menu' =>  [        'logo-src' => $request->menu_logo_src,
                                        'logo-width' => $request->menu_logo_width,
                                        'menu' => $request->menu_menu, 
                                        ],
    

            ],
            //==========================================
            //==========================================
            'banner' => [  
                    'title' => 'البانرات',
                    'icone' => 'banner.png',
                    'banner' => $request->banner_banner,
            ],
            //==========================================
            //==========================================
            'products' => [  
                    'title' => ' المنتجات ',
                    'icone' => 't-shirt.png',
                    'pc' => $request->products_pc,
                    'mobile' => $request->products_mobile,
                    'align' => $request->products_align ,
                    'radius-off' => $request->products_radius_off,
                    'btn_addToCart' => $request->btn_addToCart,
                    
            ],
            //==========================================
            //==========================================
            'min-banner' => [  
                    'title' => ' بانر ثانوي ',
                    'icone' => 'sec-banner.png',
                    'background-image' => $request->min_banner_background_image,
                    'text' => $request->min_banner_text, 
                    'btn' => [
                            'text' => $request->min_banner_btn_text,
                            'visible' => $request->min_banner_btn_visible,
                    ],
                    'url-btn' => [
                            'type' => $request->min_banner_url_btn_type,
                            'target' => $request->min_banner_url_btn_target,
                        ]
            ],
            //==========================================
            //==========================================
            'adv' => [  
                    'title' => 'المميزات',
                    'icone' => 'adv.png',
                    'title_adv' => $request->adv_title_adv,
                    'elements' => [
                            1 => [
                                'src1' => $request->adv_elements_src1,
                                'text_11' => $request->adv_elements_text_11,
                                'text_21' => $request->adv_elements_text_21,
                            ],
                            2 => [
                                'src2' => $request->adv_elements_src2,
                                'text_12' => $request->adv_elements_text_12,
                                'text_22' => $request->adv_elements_text_22,
                            ],
                            3 => [
                                'src3' => $request->adv_elements_src3,
                                'text_13' => $request->adv_elements_text_13,
                                'text_23' => $request->adv_elements_text_23,
                            ],
                            4 => [
                                'src4' => $request->adv_elements_src4,
                                'text_14' => $request->adv_elements_text_14,
                                'text_24' => $request->adv_elements_text_24,
                            ],
                    ],
                
            ],

            




            //==========================================
            //==========================================

            'ctg' => [  
                
                'pc' => $request->ctg_pc,
                'mobile' => $request->ctg_mobile,
                'show_product' => $request->ctg_show_product,
            ],


            //==========================================
            //==========================================
            'product_page' => [
                    'images_show' => $request->product_page_images_show,
                    'details_show' => $request->product_page_details_show,
                    'other_products' => [
                            'statu' => $request->product_page_other_products_statu,
                            'title' => $request->product_page_other_products_title,
                            'align' => $request->product_page_other_products_align,
                    ]
            ],

            //==========================================
            //==========================================
            'general_settings' => [
                    'body_background' => $request->general_settings_body_background,
                    'color_general' => $request->general_settings_color_general,
                    'fontFamily' => $request->general_settings_fontFamily,
                    'direct_page' => $request->general_settings_direct_page,
                    'refresh_icone' => $request->general_settings_refresh_icone,
            ],  


            //==========================================
            //==========================================  
            'footer' => [  
                'title' => 'فوتر',
                'icone' => 'footer.png',
                'back' => $request->footer_back,
                'colors' => [
                    'title' => $request->footer_colors_title,
                    'links' => $request->footer_colors_links,
                ], 
                
                'right' => [
                    'text' => $request->footer_right_text,
                    'align' => $request->footer_right_align,
                ],

                'section' => [
                        1 =>[
                            'title1' => $request->footer_section_title1, 
                            'menu1' => $request->footer_section_menu1, 
                        ],
                        2 =>[
                            'title2' => $request->footer_section_title2, 
                            'menu2' => $request->footer_section_menu2,
                        ],

                        3 =>[
                            'title3' => $request->footer_section_title3, 
                            'menu3' => $request->footer_section_menu3,
                        ]
                ] ,
            
            ],

            //==========================================
            //==========================================  

            'iconSocial' => $request->iconsUrl,


        ];

  
        
        $template = template::where('user_id', auth::user()->id)->first();

        if(!$template){
            $new_template = new template;
            $new_template->user_id = auth::user()->id;
            $new_template->data = json_encode($data);
            $new_template->save();
        }else{
            $template->data = json_encode($data);
            $template->save();
           
        }

        return back();
       
    }

   


    public function defaultDataTemplate()
    {
        return [
            'header' => [

                'title' => 'رأس الصفحة',
                'icone' => 'footer.png',
                'top-header' => [   'text' => '',
                                    'color' => '',
                                    'background' => '',
                                    'padding' => '',
                                    'fontSize' => '',
                                    'align' => '',
                                ],

                'menu' =>  [        'logo-src' => '',
                                    'logo-width' => '',
                                    'menu' => '', 
                                    ],


        ],
        //==========================================
        //==========================================
        'banner' => [  
                'title' => 'البانرات',
                'icone' => 'banner.png',
                'banner' => '',
        ],
        //==========================================
        //==========================================
        'products' => [  
                'title' => ' المنتجات ',
                'icone' => 't-shirt.png',
                'pc' => '',
                'mobile' =>'',
                'align' => 'right' ,
                'radius-off' => '',

        ],
        //==========================================
        //==========================================
        'min-banner' => [  
                'title' => ' بانر ثانوي ',
                'icone' => 'sec-banner.png',
                'background-image' => '',
                'text' => '', 
                'btn' => [
                        'text' => '',
                        'visible' => '',
                ],
                'url-btn' => [
                        'type' => '',
                        'target' => '',
                    ]
        ],
        //==========================================
        //==========================================
        'adv' => [  
                'title' => 'المميزات',
                'icone' => 'adv.png',
                'title_adv'=> '',
                'elements' => [
                        1 => [
                            'src1' =>'',
                            'text_11' => '',
                            'text_21' => '',
                        ],
                        2 => [
                            'src2' => '',
                            'text_12' => '',
                            'text_22' => '',
                        ],
                        3 => [
                            'src3' => '',
                            'text_13' => '' ,
                            'text_23' => '',
                        ],
                        4 => [
                            'src4' => '',
                            'text_14' => '',
                            'text_24' => '',
                        ],
                ],
            
        ],

        




        //==========================================
        //==========================================

        'ctg' => [  
            
            'pc' => '',
            'mobile' => '',
            'show_product' => '',
        ],


        //==========================================
        //==========================================
        'product_page' => [
                'images_show' => '',
                'details_show' => '',
                'other_products' => [
                        'statu' => '',
                        'title' => '',
                        'align' => '',
                ]
        ],

        //==========================================
        //==========================================
        'general_settings' => [
                'body_background' => '',
                'color_general' => 'black',
                'fontFamily' => 'Cairo',
                'direct_page' => 'rtl',
                'refresh_icone' => '',
        ],  


        //==========================================
        //==========================================  
        'footer' => [  
            'title' => 'فوتر',
            'icone' => 'footer.png',
            'back' => '',
            'colors' => [
                'title' => '',
                'links' => '',
            ], 
            
            'right' => [
                'text' => 'all right saved',
                'align' => '',
            ],

            'section' => [
                    1 =>[
                        'title1' => '', 
                        'menu1' => '', 
                    ],
                    2 =>[
                        'title2' => '', 
                        'menu2' => '',
                    ],

                    3 =>[
                        'title3' => '', 
                        'menu3' => '',
                    ]
            ] ,
        
        ],

        //==========================================
        //==========================================  

        'iconSocial' => [0],

        ];
    }

 
}
