@extends('layouts.app-dashboard')

@section('content')
    <div class="container-fluid">
      <div class="row">
        <div class="col-sm-6 mb-3 ">
            <img src="{{ url('images/home.png') }}" style="width: 15px">
            الرئيسية
            <i style="font-size:11px;" class="fa fa-chevron-left"></i>
            قائمة المنتجات ({{\App\product::all()->where('user_id', auth::user()->id)->count()}})
          </div>
          <div class="col-sm-6"style="text-align:left">
            <a href="{{ route('products.create') }}" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#type_product">
                <img src="{{ url('images/add.png') }}" style="width:14px;">
                اضافة منتج جديدة
             </a>
          </div>
    </div>
        <div class="row mt-5">
            {{-- <div class="col-3 mb-4">
                المنتجات ({{\App\product::all()->where('user_id', auth::user()->id)->count()}})
            </div>
            <div class="col-9 mb-4" style="text-align: left">
                <a href="{{ route('products.create') }}" class="btn btn-light">
                    <i class="fa fa-filter"></i>
                </a>
                <a class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#type_product">
                   اضافة منتج جديدة
                </a>
                   
            </div> --}}

            <div class="col-12">
              <div class="row mb-4">
                <div class="col-sm-2 py-2">
                  <div class="d-flex gap-2">
                    <label class="containerx">
                      <input id="i00" name="statu_orders_email" value="statu_orders_email" type="checkbox"  >
                      <span class="checkmark"></span>
                    </label>
                    اختيار الكل
                  </div>
                  
                </div>
                <div class="col-sm-4 mb-2">
                    <input type="text" class="inp-search-bo" placeholder="ابحث باسم المنتج">
                </div>
                <div class="col-sm-2 mb-2">
                  <select type="text" class="inp-search-bo" placeholder="ابحث باسم المنتج">
                  <option value="">- فرز المنتجات -</option>
                  <option value="">من القديم الى الجديد</option>
                  <option value="">من الجديد الى القديم</option>
                  <option value="">اقل سعرا الى اعلى سعرا</option>
                  <option value="">اعلى سعرا الى اقل سعرا</option>
                  <option value="">الاكثر مبيعا الى الاقل مبيعا</option>
                  <option value="">الاقل مبيعا الى الاكثر مبيعا</option>
                  </select>
                </div>
                <div class="col-sm-2">
                  <button class="btn btn-light " style="border-radius: 7px !important">
                    <img src="{{ url('images/menu/list.png') }}" style="width:20px">
                  </button>

                  <button class="btn btn-light active-btn" style="border-radius: 7px !important">
                    <img src="{{ url('images/menu/grid.png') }}" style="width:20px">
                  </button>
                  
                </div>
            </div>
            </div>
            <div class="col-12">
              <div class="row">
                @forelse ($data as $item)
                @php
                    $prices = json_decode($item->prices,true);
                @endphp
                <div class="col-6 col-lg-2">
                  <div class="card">
                    <div class="card-body">
                      <label class="containerx">
                        <input id="i00" name="statu_orders_email" value="statu_orders_email" type="checkbox"  >
                        <span class="checkmark"></span>
                      </label>
                      <img src="{{ json_decode($item->images,true)[0] }}" class="w-100" style="">
                      <br>
                      <br>
                      {{substr($item->title,0,50)}} ...
                      <br>
                      <small>الكمية : {{$item->stock}}</small>
                      <br>
                      <b>{{$item->prices}} $</b>
                      <br>
                      <div class="d-lg-flex gap-2 mt-3">
                        <a href="" class="btn btn-primary w-100">
                          تعديل المنتج
                        </a>
                        <a href="" class="btn btn-secondary">
                          <img src="{{ url('images/menu/orders/dots.png') }}" style="width:16px">
                        </a>
                      </div>
                      
                    </div>
                  </div>
                </div>
                @empty
                @include('layouts.empty')
                @endforelse
              </div>
            </div>
        </div>
    </div>





    <div class="modal fade" id="type_product" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog  modal-lg">
        <div class="modal-content" style="background: rgba(255, 255, 255, 0);border:none !important;">
          <div class="modal-body">
            <div class="container">
              <div class="row mt-3">
                
                <div class="col-sm-6">
                  <div class="card">
                    <div class="card-body">
                      <img src="{{ url('images/menu/add-product.png') }}" style="width:50px" class="mb-2">
                      <h6>
                        <b>
                          منتج خاص
                        </b>
                      </h6>
                     اضافة منتج خاص بك في حالة اذا كنت تتوفر على المنتج
                     <br>
                     <br>
                     <a  class="btn btn-primary">
                      <i class="fa fa-add"></i>
                      اضافة المنتج</a>
                    </div>
                  </div>
                </div>
                <div class="col-sm-6">
                  <div class="card">
                    <div class="card-body">
                      <img src="{{ url('images/menu/aliex.png') }}" style="width:40px" class="mb-3">
                      <h6>
                        <b>
                          منتج علي اكسبريس
                        </b>
                      </h6>
                      يمكنك استيراد المنتجات من علي اكسبريس الى متجرك بسهولة
                      <br>
                      <br>
                     <a href="{{ route('import.product.aliexpress') }}" class="btn btn-primary">
                      <i class="fa fa-arrow-down"></i>
                      استيراد المنتج</a>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>

    
    
@endsection



















